Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence.criteria
Interface Join<Z,X>

Type Parameters:
  `Z` - the source type of the join
  `X` - the target type of the join

All Superinterfaces:
  Expression<X>, FetchParent<Z,X>, From<Z,X>, Path<X>, Selection<X>, TupleElement<X>

All Known Subinterfaces:
  CollectionJoin<Z,E>, ListJoin<Z,E>, MapJoin<Z,K,V>, PluralJoin<Z,C,E>, SetJoin<Z,E>

    public interface Join<Z,X>

extends From<Z,X>

A join to an entity, embeddable, or basic type.

Since:
  Java Persistence 2.0

Method Summary
`Attribute<? super Z,?>` | `getAttribute()` Return the metamodel attribute corresponding to the join.
`JoinType` | `getJoinType()` Return the join type.
`From<?,Z>` | `getParent()` Return the parent of the join.

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getModel, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### getAttribute

    Attribute<? super Z,?> getAttribute()

  Return the metamodel attribute corresponding to the join.

  Returns:
    metamodel attribute corresponding to the join

### getParent

    From<?,Z> getParent()

  Return the parent of the join.

  Returns:
    join parent

### getJoinType

    JoinType getJoinType()

  Return the join type.

  Returns:
    join type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD